/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package protegetesting;

import edu.stanford.smi.protegex.owl.ProtegeOWL;
import edu.stanford.smi.protegex.owl.jena.JenaOWLModel;
import edu.stanford.smi.protegex.owl.model.OWLModel;
import edu.stanford.smi.protegex.owl.model.OWLNamedClass;
import java.io.File;
import java.io.FileInputStream;
import java.util.Collection;
import java.util.Iterator;
import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author dafferianto
 */
public class ProtegeTesting {
    
    static String fileName = "/media/DAFFERIANTO/Rsync/Work/UiA/PhD/Development/UNIK9710/Ontologies/experiment/SmartHomeHealth2.owl";

    /**
     * @param args the command line arguments
     */
    public static void main(String[] args) {
        // TODO code application logic here
        JenaOWLModel owlModel = null;
        //OWLModel owlModel = null;
        FileInputStream is = null;
        
        try {
            is = new FileInputStream(fileName);
            //is = new FileInputStream("/media/DAFFERIANTO/Rsync/Work/UiA/PhD/Development/UNIK9710/Ontologies/SmartHomeHealth2.owl");
            owlModel = ProtegeOWL.createJenaOWLModelFromInputStream(is);
            
        } catch (Exception ex) {
            ex.printStackTrace();
        }
        //OWLNamedClass worldClass = owlModel.createOWLNamedClass("World");
        OWLNamedClass worldClass = owlModel.getOWLNamedClass("HouseholdDevice");
        OWLNamedClass subClass = owlModel.createOWLNamedSubclass("MicrowaveOven", worldClass);
        //Collection individuals = worldClass.getInstances(false);
        Collection individuals = worldClass.getNamedSubclasses();
        //Collection individuals = worldClass.getLabels();
        //for (Object o : individuals) {
        //    System.out.println(o.toString());
        //}
        //System.out.println(individuals.toString());
        Iterator iterator = individuals.iterator();
        while (iterator.hasNext()) {
           System.out.println(iterator.next());
        }
        //System.out.println("Class URI: " + worldClass.getURI());
        try {
            owlModel.save(new File(fileName).toURI());
        } catch (Exception ex) {
            ex.printStackTrace();
        }
    }
}
